curl --request GET \
--url https://demo.enneo.ai/api/mind/quality/assessment \
--header 'Authorization: Bearer <token>'{
"assessments": [
{
"id": 901,
"scorecardId": 42,
"scorecardBaseId": 17,
"state": "reviewOngoing",
"assessedUser": 23,
"assessedByUser": null,
"ticketId": 8821,
"worklogId": 551,
"createdAt": "2024-06-12T10:20:00Z",
"modifiedAt": "2024-06-12T10:45:00Z",
"canEdit": true,
"aiSummary": "AI summary of the conversation...",
"totals": {
"scoredPoints": 18,
"usedMaxPoints": 20,
"totalMaxPoints": 25,
"percentage": 72
},
"worklog": {
"userId": 23,
"worklogId": 551,
"lastInteraction": "2024-06-12T09:59:00Z",
"ticketId": 8821,
"conversationId": 331,
"action": "reply",
"actionList": [
"reply",
"internal-note"
]
},
"aiUsage": {
"automationLevel": 2,
"automationLevelLabel": "Assisted",
"aiAgents": []
},
"time": {
"duration": 480,
"durationAfterWork": 120,
"segments": []
},
"customerExperience": {
"slaMet": true,
"netSecondsClosedAfterSla": -30,
"closingDateForSLA": "2024-06-12T09:40:00Z",
"dueDateForSLA": "2024-06-12T10:00:00Z",
"reOpened": false,
"csat": null
}
}
]
}Get a list of quality assessments with optional filters. Respects view permissions.
curl --request GET \
--url https://demo.enneo.ai/api/mind/quality/assessment \
--header 'Authorization: Bearer <token>'{
"assessments": [
{
"id": 901,
"scorecardId": 42,
"scorecardBaseId": 17,
"state": "reviewOngoing",
"assessedUser": 23,
"assessedByUser": null,
"ticketId": 8821,
"worklogId": 551,
"createdAt": "2024-06-12T10:20:00Z",
"modifiedAt": "2024-06-12T10:45:00Z",
"canEdit": true,
"aiSummary": "AI summary of the conversation...",
"totals": {
"scoredPoints": 18,
"usedMaxPoints": 20,
"totalMaxPoints": 25,
"percentage": 72
},
"worklog": {
"userId": 23,
"worklogId": 551,
"lastInteraction": "2024-06-12T09:59:00Z",
"ticketId": 8821,
"conversationId": 331,
"action": "reply",
"actionList": [
"reply",
"internal-note"
]
},
"aiUsage": {
"automationLevel": 2,
"automationLevelLabel": "Assisted",
"aiAgents": []
},
"time": {
"duration": 480,
"durationAfterWork": 120,
"segments": []
},
"customerExperience": {
"slaMet": true,
"netSecondsClosedAfterSla": -30,
"closingDateForSLA": "2024-06-12T09:40:00Z",
"dueDateForSLA": "2024-06-12T10:00:00Z",
"reOpened": false,
"csat": null
}
}
]
}JWT-based authentication
Filter by assessment workflow state (comma-separated list). Allowed values: unprocessed, aiInProgress, aiReady, reviewOngoing, reviewedBySupervisor, discussedWithAssessee, error.
"aiReady,reviewOngoing"
Filter by assessed user ID
42
Successful operation
Show child attributes